Bug 733508 - Not able to clone repos that has schedules in them.
Summary: Not able to clone repos that has schedules in them.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 20:24 UTC by Preethi Thomas
Modified: 2015-03-23 01:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:10:41 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-25 20:24:16 UTC
Description of problem:
If the repo that you are trying to clone has a sync schedule set, clone just waits saying sync for parent repository already in progress.



[root@pulp-f15 ~]# pulp-admin repo clone --id=pulp-f14 --clone_id=pulp-f14-clone -F
Sync for parent repository pulp-f14 already in progress
Waiting -
^C

[root@pulp-f15 ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+



Id                 	pulp-f14                 
Name               	pulp-f14                 
Feed URL           	http://repos.fedorapeople.org/repos/pulp/pulp/fedora-14/x86_64/
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	P1DT1H5M                 
Packages           	15                       
Files              	0                        
Distributions      	None                     
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}

Comment 1 Sayli Karmarkar 2011-09-14 05:51:14 UTC
commit acbfcaaf788ff5ccf3b7edc81f337e845910504e
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Tue Sep 13 22:50:42 2011 -0700

    733508 - replaced old logic with new one to detect if sync for parent repo is in progress before starting repo clone

Comment 2 Jeff Ortel 2011-09-14 20:27:02 UTC
build: 0.231

Comment 3 Preethi Thomas 2011-09-19 18:28:22 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.232-1.fc15.noarch

[root@katello-test ~]# pulp-admin repo list
+------------------------------------------+
       List of Available Repositories
+------------------------------------------+

Id                 	upload                   
Name               	upload                   
Feed URL           	None                     
Feed Type          	None                     
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	None                     
Packages           	0                        
Files              	0                        
Distributions      	None                     
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       


Id                 	f15                      
Name               	f15                      
Feed URL           	http://repos.fedorapeople.org/repos/pulp/pulp/testing/fedora-15/x86_64/
Feed Type          	remote                   
Content Type       	yum                      
Feed Certs         	CA:No   Cert:No
Consumer Certs     	CA:No   Cert:No
Architecture       	noarch                   
Sync Schedule      	2011-01-19T09:30:00-04:00/PT1H
Packages           	18                       
Files              	0                        
Distributions      	None                     
Publish            	True                     
Clones             	[]                       
Groups             	None                     
Filters            	[]                       
Notes              	{}                       


[root@katello-test ~]# pulp-admin repo clone --id=f15 --clone_id=f15-clone -F
Repository [f15] is being cloned as [f15-clone]
Clone: Finished
Item Details: 
Rpms: 18/18

[root@katello-test ~]# pulp-admin repo clone --id=f15 --clone_id=f15-clone2 --feed=origin -F
Repository [f15] is being cloned as [f15-clone2]
Clone: Finished
Item Details: 
Rpms: 18/18

Comment 4 Preethi Thomas 2012-02-24 20:10:41 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.